<!DOCTYPE html>

{% include "eventbase.html" %}

{% block content %}

<div class="container">

    <h3 class="text-center">erika's upcoming events</h3>


    <div id="jadwal">

        <form method="POST">
            <div id="academic-formgroup">
                {% csrf_token %}
                {{ form.as_p }}
            </div>

            <button type="submit" class="button mt-3">Submit</button>
        </form>
    </div>

    <div class="text-center schedule-card">
        <h4 class="mb-5">All the upcoming events:</h4>

        <div class="row">

            {% for i in event %}
            <div class="schedule-card-single text-left col-lg-4 col-md-6 d-flex flex-column">
                <form action="{% url 'story6unittesting:deleteEvent' %}" method="POST" class="text-left">
                    {% csrf_token %}
                    <input type="hidden" value="{{ i.id }}" name="id">


                    <button type="submit" class="delete-button"></button>
                    <h6 class="d-inline">delete</h6>
                    </button>
                </form>
                <h4><span class="academic-schedule-label"></span>{{ i.nama_event }}</h4>
                <p><span class="academic-schedule-label">Description : </span>{{ i.deskripsi }}</p>
                <div class="">
                    <p><span class="academic-schedule-label">People/Guests : </span>
                        {% for guest in guests %}
                        {% if guest.event_host == i %}
                        <span class="list-items d-block ml-5">• {{ guest.guest }}</span>
                        {% endif %}
                        {% endfor %}
                    </p>
                </div>

                <button type="submit" class="button button-modal mt-auto"><a
                        href="{% url 'story6unittesting:eventGuestsAdd' i.nama_event %}">
                        <h6>join?</h6>
                    </a></button>

            </div>
            {% endfor %}
        </div>

    </div>

</div>

{% endblock %}